html {
  overflow: hidden;
  --ui-scale: 1;
}
body {
  position: relative;
  width: 100vw;
  height: 100vh;
  font: 16px "Indivisible", "Lucida Grande", Helvetica, Arial, sans-serif;
  background-color: #001B20;
  margin: 0;
  caret-color: transparent;
  overflow: auto;
}

* {
  box-sizing: border-box;
}

#app-ui {
  width: 100%;
  height: 100%;
}

input {
  caret-color: currentColor;
}

img {
  user-select: none;
}

a:-webkit-any-link {
    text-decoration: none;
}

/* body ::-webkit-scrollbar {
  display: none;
} */

body *:not(.ui-view-container)::-webkit-scrollbar {
  display: none;
}

/* .visibility-component {
  display: flex;
  opacity: 1;
}

.visibility-component.hidden {
  opacity: 0;
  pointer-events: none;
}

.visibility-component.hidden * {
  pointer-events: none !important;
}

.visibility-component.gone {
  display: none;
} */

div:focus-visible, img:focus-visible {
  outline: none;
}

.ui-label {
  height: fit-content;
}

@keyframes ui-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

@keyframes ui-buffer-circle-dash {
  0% {
    stroke-dasharray: 8, 64;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 43, 64;
    stroke-dashoffset: -26px;
  }
  50% {
    stroke-dasharray: 43, 26;
    stroke-dashoffset: -26px;
  }
  55% {
    stroke-dasharray: 70, 22;
    stroke-dashoffset: -30px;
  }
  100% {
    stroke-dasharray: 70, 64;
    stroke-dashoffset: -72px;
  }
}

#enjoy-loading-icon {
  position: absolute;
  width: 100%;
  left: 0;
  top: 30%;
  display: flex;
  justify-content: center;
  opacity: 0;
  transition: opacity 200ms;
}

#enjoy-loading-icon > img {
  width: 120px;
  height: 120px;
  transform-origin: 40% 50%;
  /* animation: rotation-animation 2s infinite; */
}

@keyframes rotation-animation {
  0% {
    transform: none;
  }
  30% {
    transform: none;
  }
  100% {
    transform: rotate(1turn)
  }
}

/* HTML: <div class="loader"></div>

.loader {
  height: 15px;
  aspect-ratio: 5;
  display: grid;
  animation: l36-0 2s infinite linear; 
}
.loader:before,
.loader:after {
  content: "";
  grid-area: 1/1;
  height: inherit;
  --_g: no-repeat radial-gradient(farthest-side,#000 94%,#0000);
  background:
    var(--_g) left,
    var(--_g) right;
  background-size: 15px 100%;
  background-repeat: no-repeat;
  animation: l36-1 1s infinite linear; 
}
.loader:after {
  margin-left: auto;
  --s:-1;
}
@keyframes l36-0 {
  0%,49.99% {transform: scaleY( 1)}
  50%,100%  {transform: scaleY(-1)}
}
@keyframes l36-1 {
  0%   {transform:translate(0                    ,calc(var(--s,1)*0px));aspect-ratio: 2.3}
  33%  {transform:translate(0                    ,calc(var(--s,1)*8px));aspect-ratio: 2.3}
  66%  {transform:translate(calc(var(--s,1)*19px),calc(var(--s,1)*8px));aspect-ratio: 3.7}
  100% {transform:translate(calc(var(--s,1)*19px),calc(var(--s,1)*0px));aspect-ratio: 3.7}
}

.loader {
  width: 50px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 8px solid #0000;
  border-right-color: #ffa50097;
  position: relative;
  animation: l24 1s infinite linear;
}
.loader:before,
.loader:after {
  content: "";
  position: absolute;
  inset: -8px;
  border-radius: 50%;
  border: inherit;
  animation: inherit;
  animation-duration: 2s;
}
.loader:after {
  animation-duration: 4s;
}
@keyframes l24 {
  100% {transform: rotate(1turn)}
}

.loader {
  width: 50px;
  aspect-ratio: 1;
  border-radius: 50%;
  display: grid;
  color: #854f1d;
  background: radial-gradient(farthest-side, currentColor calc(100% - 6px),#0000 calc(100% - 5px) 0);
  -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 13px),#000 calc(100% - 12px));
  animation: l19 2s infinite linear;
}
.loader::before,
.loader::after {    
  content: "";
  grid-area: 1/1;
  background:
    linear-gradient(currentColor 0 0) center,
    linear-gradient(currentColor 0 0) center;
  background-size: 100% 10px,10px 100%;
  background-repeat: no-repeat;
}
.loader::after {
   transform: rotate(45deg);
}
@keyframes l19 { 
  100%{transform: rotate(1turn)}
}

.loader {
  width: 50px;
  aspect-ratio: 1;
  display: grid;
  border-radius: 50%;
  background: conic-gradient(#25b09b 25%,#f03355 0 50%,#514b82 0 75%,#ffa516 0);
  animation: l22 2s infinite linear;
}
.loader::before,
.loader::after {
   content: "";
   grid-area: 1/1;
   margin: 15%;
   border-radius: 50%;
   background: inherit;
   animation: inherit;
}
.loader::after {
   margin: 25%;
   animation-duration: 3s;
}
@keyframes l22 {
  100% {transform: rotate(1turn)}
}

.loader {
  width: 120px;
  height: 22px;
  border-radius: 20px;
  color: #514b82;
  border: 2px solid;
  position: relative;
}
.loader::before {
  content: "";
  position: absolute;
  margin: 2px;
  inset: 0 100% 0 0;
  border-radius: inherit;
  background: currentColor;
  animation: l6 2s infinite;
}
@keyframes l6 {
    100% {inset:0}
}

.loader {
  height: 4px;
  width: 130px;
  --c:no-repeat linear-gradient(#6100ee 0 0);
  background: var(--c),var(--c),#d7b8fc;
  background-size: 60% 100%;
  animation: l16 3s infinite;
}
@keyframes l16 {
  0%   {background-position:-150% 0,-150% 0}
  66%  {background-position: 250% 0,-150% 0}
  100% {background-position: 250% 0, 250% 0}
} */


/*************************************************************
*********************** Slider styles ************************
*************************************************************/

.ui-slider {
  position: relative;
  display: flex;
  justify-content: center;
}

.ui-slider.track-axis-x {
  flex-direction: column;
}

.ui-slider.track-axis-y {
  flex-direction: row;
}

/* .ui-slider.track-axis-x:not(.labeled) {
  padding-bottom: 0.6rem;
} */

/* .ui-slider.track-axis-y:not(.labeled) {
  padding-left: 0.6rem;
} */

/* .ui-slider-component {
  position: relative;
} */

/* .ui-slider.track-axis-y .ui-slider-component {
  height: 100%;
} */

.ui-slider-container {
  position: relative;
  display: flex;
  margin: 0;
  box-shadow: none;
  cursor: pointer;
}

.track-axis-x .ui-slider-container {
  flex-direction: column;
  /* padding-top: 0.6rem; */
  padding: 8px 0;
}

.track-axis-y .ui-slider-container {
  flex-direction: row-reverse;
  height: 100%;
  width: fit-content;
  /* padding-right: 0.6rem; */
  padding: 0 8px;
}

.ui-slider .ui-slider-base {
  position: relative;
  background-color: #757F80;
  border-radius: 32px;
}

.track-axis-x .ui-slider-base {
  width: 100%;
}

.track-axis-y .ui-slider-base {
  height: 100%;
  width: fit-content;
  margin-right: 0.6em; /* To offset padding from tick marks */
}

/* .ui-slider.disabled {
  opacity: 0.5;
} */

.ui-slider.disabled .ui-slider-container,
.ui-slider.disabled .ui-slider-base,
.ui-slider.disabled .ui-slider-thumb-container,
.ui-slider.disabled .ui-slider-fill,
.ui-slider.disabled .ui-slider-label,
.ui-slider.disabled .ui-slider-label-centered {
  cursor: default;
}

.ui-slider .ui-slider-thumb-container {
  position: absolute;
  display: inline-block;
  padding: 4px;
  /* transition: left 75ms cubic-bezier(0, 0, 0.2, 1) 0ms, right 75ms cubic-bezier(0, 0, 0.2, 1) 0ms; */
  /* z-index: 1; */
}

.ui-slider:not(.disabled) .ui-slider-thumb-container {
  cursor: pointer;
}

.ui-slider .ui-slider-thumb-container:after {
  content: none;
}

.ui-slider .ui-slider-thumb {
  border-radius: 50%;
  background-color: white;
  box-shadow: 0 0.125rem 0.375rem rgba(0, 0, 0, 0.2);
}

.ui-slider .ui-slider-fill {
  position: absolute;
  border-radius: 32px;
  background-color: var(--primary);
  box-shadow: none;
  /* transition: width 75ms cubic-bezier(0, 0, 0.2, 1) 0ms; */
}

.ui-slider-fill.slider-position {
  background-color: white;
}

.ui-slider-fill.slider-secondary-position {
  background-color: rgba(255, 255, 255, 0.5);
}

/* .track-axis-x .ui-slider-base,
.track-axis-x .ui-slider-markers-base {
  padding-right: 0.35rem;
  padding-left: 0.35rem;
}

.track-axis-y .ui-slider-base,
.track-axis-y .ui-slider-markers-base {
  padding-top: 0.35rem;
  padding-bottom: 0.35rem;
} */

.ui-slider .ui-slider-markers-base {
  user-select: none;
  pointer-events: none;
}

.track-axis-x .ui-slider-markers-base {
  position: absolute;
  /* padding-top: 0.4rem;
  padding-bottom: 0.2rem; */
}

.track-axis-y .ui-slider-markers-base {
  padding-right: 0.4rem;
  padding-left: 0.2rem;
}

.ui-slider .ui-slider-markers-main {
  position: relative;
  width: 100%;
  line-height: calc(1rem * var(--font-scale));
  pointer-events: all;
}

.track-axis-y .ui-slider-markers-main {
  height: 100%;
}

/* .track-axis-x .ui-slider-fill {
  transform: translateX(-0.35rem);
}

.track-axis-y .ui-slider-fill {
  transform: translateY(0.35rem);
}

.ui-slider.track-axis-x.reverse-slider .ui-slider-component .ui-slider-fill {
  transform: translateX(0.35rem);
}

.ui-slider.track-axis-y.reverse-slider .ui-slider-component .ui-slider-fill {
  transform: translateY(-0.35rem);
} */

.track-axis-x:not(.reverse-slider) .ui-slider-fill {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.ui-slider .ui-slider-label,
.ui-slider .ui-slider-label-centered {
  justify-content: center;
  font-size: 1rem;
  line-height: calc(1rem * var(--font-scale));
  text-align: center;
  cursor: pointer;
}

.ui-slider .ui-slider-label {
  position: relative;
}

.ui-slider.track-axis-x .ui-slider-label {
  display: inline-flex;
  flex-direction: row;
  width: 0;
}

.ui-slider.track-axis-y .ui-slider-label {
  display: flex;
  flex-direction: column;
  height: 0;
}

.ui-slider.track-axis-x .ui-slider-label-centered {
  display: inline-block;
}

.ui-slider .slider-ticks {
  position: absolute;
  pointer-events: none;
}

.ui-slider .slider-ticks > div {
  pointer-events: all;
}

.ui-slider.track-axis-x .slider-ticks {
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-evenly;
}

.ui-slider.track-axis-y .slider-ticks {
  right: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}

.ui-slider.track-axis-x .slider-ticks > div {
  display: flex;
  justify-content: center;
  width: 0;
  height: 100%;
}

.ui-slider.track-axis-y .slider-ticks > div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 0;
  width: 100%;
}

.ui-slider .slider-ticks > div > div {
  background-color: currentColor;
}

.ui-slider.track-axis-x .slider-ticks > div > div {
  height: 100%;
}

.ui-slider.track-axis-y .slider-ticks > div > div {
  min-height: calc(4px * var(--ui-scale));
  width: 100%;
}

.ui-slider-container {
  position: relative;
  touch-action: none;
}

.ui-slider-container .ui-slider-fill {
  display: block;
}

.ui-slider.track-axis-x .ui-slider-fill {
  height: 100%;
  top: 0;
}

.ui-slider.track-axis-y .ui-slider-fill {
  width: 100%;
  right: 0;
}

.ui-slider.track-axis-x .ui-slider-thumb-container {
  top: 50%;
  transform: translate3d(-50%, -50%, 0);
}

.ui-slider.track-axis-y .ui-slider-thumb-container {
  right: 50%;
  transform: translate3d(50%, 50%, 0);
}

.ui-slider.track-axis-x.reverse-slider .ui-slider-thumb-container {
  transform: translate3d(50%, -50%, 0);
}

.track-axis-y.reverse-slider .ui-slider-thumb-container {
  transform: translate3d(50%, -50%, 0);
}

.ui-slider.track-axis-x.reverse-slider .ui-slider-fill {
  right: 0;
}

.ui-slider.track-axis-y:not(.reverse-slider) .ui-slider-fill {
  bottom: 0;
}

.ui-slider.track-axis-x .ui-slider-markers-main .ui-slider-label-centered .ui-slider-label-item {
  width: 100%;
}

